process HIC_PLOT_MATRIX {
    tag "$meta.id"
    label 'process_high_memory'

    conda "bioconda::hicexplorer=3.7.2"
    container "${ workflow.containerEngine == 'singularity' && !task.ext.singularity_pull_docker_container ?
        'https://depot.galaxyproject.org/singularity/hicexplorer:3.7.2--pyhdfd78af_1' :
        'biocontainers/hicexplorer:3.7.2--pyhdfd78af_1' }"


    input:
    tuple val(meta), path(cool)

    output:
    tuple val(meta), path("*.pdf"), emit: pdf

    script:
    def args = task.ext.args ?: ''
    def prefix = task.ext.prefix ?: "${meta.id}"

    """
    hicPlotMatrix -m ${cool} -o ${prefix}_cool_log.pdf ${args}
    """
}
